sponge(1)

NAME
sponge - soak up standard input and write to a file

SYNOPSIS
sed '...' file | grep '...' | sponge file

DESCRIPTION
sponge reads standard input and writes it out to the specified file. Unlike a shell redirect, sponge soaks up all its input before opening the output file. This allows constricting pipelines that read from and write to the same file.

If no output file is specified, sponge outputs to stdout.